Subject: Re: bug#25966: Fix bug 25957 and updates gitolite

From: ng0 <[email-masked]>
Date: Sat, 4 Mar 2017 14:15:01 +0000

On 17-03-04 14:06:59, ng0 wrote:
> These two patches:
> 
> * update gitolite to 3.6.6,
> * (attempt to) fix #25957.
> 
> I write attempt, in theory this closes the bug. I don't run this on my
> server. I have greped for more occurences of /usr/bin/perl, and the ones
> I had problems with are gone, remaining are 2 which are completely
> unrelated to the bug and to the issue in general.
> I'm 99% positive that the bug will be fixed once this is applied.
> 
> 
> 
I think I missed something very obvious.
In the source of gitolite references to /usr/bin/perl occur in these
two files, later they don't. Yet at runtime hooks/update and
hooks/post-update make gitolite impossible to use as it is now.